<template>
    <div class="container mx-auto flex flex-row justify-center items-center">
        <!-- Conditionally render back button -->
        <button v-if="title === 'Conditions'" @click="goBack" class="btn btn-circle">
            <span class="material-symbols-outlined">
                arrow_back_ios_new
            </span>
        </button>
        <button v-if="title === 'Activities'" @click="goBack" class="btn btn-circle">
            <span class="material-symbols-outlined">
                arrow_back_ios_new
            </span>
        </button>
        <div class="glass rounded-full m-2 p-4 my-5 flex items-center justify-center space-x-5 w-full">
            <h1 class="text-xl font-bold uppercase" v-html="title"></h1>
        </div>
    </div>
</template>

<script>
    export default {
        props: {
            title: {
                type: String,
                required: true,
                default: "Title"
            }
        },
        methods: {
            goBack() {
                this.$router.go(-1);
            }
        }
    }
</script>